### Enumeration

# AppStream ContentRatingSystem

since: 0.12.12

#### Declaration

    enum AppStream.ContentRatingSystem

#### Description [src]

A content rating system for a particular territory.

Available since: 0.12.12

#### Members

`AS_CONTENT_RATING_SYSTEM_UNKNOWN`

  Unknown ratings system.

  - Value: `0`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_INCAA`

  INCAA.

  - Value: `1`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_ACB`

  ACB.

  - Value: `2`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_DJCTQ`

  DJCTQ.

  - Value: `3`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_GSRR`

  GSRR.

  - Value: `4`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_PEGI`

  PEGI.

  - Value: `5`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_KAVI`

  KAVI.

  - Value: `6`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_USK`

  USK.

  - Value: `7`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_ESRA`

  ESRA.

  - Value: `8`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_CERO`

  CERO.

  - Value: `9`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_OFLCNZ`

  OFLCNZ.

  - Value: `10`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_RUSSIA`

  Russia.

  - Value: `11`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_MDA`

  MDA.

  - Value: `12`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_GRAC`

  GRAC.

  - Value: `13`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_ESRB`

  ESRB.

  - Value: `14`
  - Available since: 0.12.12
`AS_CONTENT_RATING_SYSTEM_IARC`

  IARC.

  - Value: `15`
  - Available since: 0.12.12

#### Type functions

###### as_content_rating_system_format_age

Format `age` as a human-readable string in the given rating `system`. This is the way to present system-specific strings in a UI.

since: 0.12.12

###### as_content_rating_system_from_locale

Determine the most appropriate `AsContentRatingSystem` for the given `locale`. Content rating systems are selected by territory. If no content rating system seems suitable, `AS_CONTENT_RATING_SYSTEM_IARC` is returned.

since: 0.12.12

###### as_content_rating_system_get_csm_ages

Get the CSM ages corresponding to the entries returned by `as_content_rating_system_get_formatted_ages()` for this `system`.

since: 0.12.12

###### as_content_rating_system_get_formatted_ages

Get an array of all the possible return values of `as_content_rating_system_format_age()` for the given `system`. The array is sorted with youngest CSM age first.

since: 0.12.12

###### as_content_rating_system_to_string

Get a human-readable string to identify `system`. `NULL` will be returned for `AS_CONTENT_RATING_SYSTEM_UNKNOWN`.

since: 0.12.12